// MissionCopyDlg.h : header file
//

#if !defined(AFX_MISSIONCOPYDLG_H__1CBB830C_B382_4104_99C2_D4E19D3BA50F__INCLUDED_)
#define AFX_MISSIONCOPYDLG_H__1CBB830C_B382_4104_99C2_D4E19D3BA50F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#include <Stuff\Stuff.hpp>

using namespace Stuff;

/////////////////////////////////////////////////////////////////////////////
// CMissionCopyDlg dialog

class CMissionCopyDlg : public CDialog
{
// Construction
public:
	CMissionCopyDlg(CWnd* pParent = NULL);	// standard constructor
	void ReplaceInNoteFile(CString nfile,CString old_str,CString new_str);
	void CopyAndRenameDir(CString old_dir_name,CString old_str,CString new_str);
	void RenameInBuildFile(CString old_str,CString new_str);
// Dialog Data
	//{{AFX_DATA(CMissionCopyDlg)
	enum { IDD = IDD_MISSIONCOPY_DIALOG };
	CListBox	m_MisList;
	CString	m_FName;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMissionCopyDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CMissionCopyDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnExit();
	afx_msg void OnDocopy();
	afx_msg void OnSelchangeMissionlist();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MISSIONCOPYDLG_H__1CBB830C_B382_4104_99C2_D4E19D3BA50F__INCLUDED_)
